package com.its.op.service.its.scrs;

import com.its.op.dao.mapper.its.scrs.ScStrtStatisticsMapper;
import com.its.op.dto.its.scrs.ScSrvcParam;
import com.its.op.dto.its.scrs.ScStrtDto;
import com.its.op.dto.its.scrs.ScStrtParam;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@RequiredArgsConstructor
@Service
public class ScStrtStatisticsService {

    private final ScStrtStatisticsMapper mapper;

    public List<ScStrtDto> findStrtClctHs(List<String> ixrIds, String fromDt, String toDt) {
        ScStrtParam param = ScStrtParam.builder()
                .ixrIds(ixrIds)
                .fromDt(fromDt)
                .toDt(toDt)
                .build();
        return this.mapper.findStrtClctHs(param);
    }

    public List<ScStrtDto> findStrtClctLaneHs(List<String> ixrIds, String fromDt, String toDt) {
        ScStrtParam param = ScStrtParam.builder()
                .ixrIds(ixrIds)
                .fromDt(fromDt)
                .toDt(toDt)
                .build();
        return this.mapper.findStrtClctLaneHs(param);
    }
}
